File Upload
curl --request POST \
--url https://api.example.com/upload-fileimport requests
url = "https://api.example.com/upload-file"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/upload-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Files
File Upload
Allows sending a file to the system.
POST
/
upload-file
File Upload
Endpoint
POST /upload-file
AuthenticationRequires header
authorization: <your_token>.
Parameters
Send the file as base64.{
"file": "file in base64",
"filename" : "file name"
}
| Name | Type | Required | Description |
|---|---|---|---|
| file | base64 | Yes | file |
| filename | string | Yes | file name |
Request Body
Send the file as base64.Example (cURL)
curl -X POST "https://gateway.orkeia.ai/upload-file" -H "authorization: <your_token>" -F "file=@/path/to/file.txt"
Responses
Response - Success
response
{
"status": "OK",
"data": "document path url"
}
500 — Bad Request
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Was this page helpful?
⌘I
